<?php
	if ( function_exists('register_sidebar') ){
		register_sidebar(
			array(
				'name'=> 'sidebarTop',
			)
		);
		register_sidebar(
			array(
				'name'=> 'sidebarMiddle',
			)
		);
		register_sidebar(
			array(
				'name'=> 'sidebarLeft',
			)
		);
		register_sidebar(
			array(
				'name'=> 'sidebarLogo',
			)
		);
	}

function widget_middleMenu_init() {

if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;

		function widget_middleMenu($args) {

			// "$args is an array of strings that help widgets to conform to
			// the active theme: before_widget, before_title, after_widget,
			// and after_title are the array keys." - These are set up by the theme
			extract($args);

			// These are our own options
			$options = get_option('widget_middleMenu');
			$bbw_use_cat = $options['use_cat']; //a small explanation that the blogroll is rolling
			$bbw_use_nofollow = $options['use_nofollow'] ? '1': '0';//If links are not trusted (paid links), they can be set to nofollow.

			// Output

			global $wpdb;
			$querystr = "
			SELECT DISTINCT
				link_url, name, link_name, link_target, link_image, link_description, link_rel
			FROM
				$wpdb->links
			INNER JOIN (
				$wpdb->term_relationships
				INNER JOIN (
					$wpdb->terms
					INNER JOIN
						$wpdb->term_taxonomy
					ON
						$wpdb->terms.term_id=$wpdb->term_taxonomy.term_id)
				ON
					$wpdb->term_taxonomy.term_taxonomy_id=$wpdb->term_relationships.term_taxonomy_id)
			ON
				$wpdb->links.link_id=$wpdb->term_relationships.object_id
			WHERE
				$wpdb->term_taxonomy.taxonomy='link_category'
			AND
				$wpdb->links.link_visible = 'Y'
			AND
				$wpdb->terms.name = '$bbw_use_cat'
			ORDER BY
				name ASC
			";

			echo "<!-- ".$querystr." -->";

			$bbwlinks = $wpdb->get_results($querystr, OBJECT);

			echo '<div id="menuizquierda">';

			if (!empty($bbwlinks)) {
				foreach ($bbwlinks as $bbwlink) {
					$bbw_link_rel = $bbwlink->link_rel;
					$bbw_link_url = $bbwlink->link_url;
					$bbw_link_desc = $bbwlink->link_description;
					$bbw_link_name = $bbwlink->link_name;

					echo '<div id="menuizq"><a class="blanco"';

					if ($bbw_use_nofollow){
						echo ' rel="nofollow"';
					}elseif($bbw_link_rel){
						echo ' rel="'.$bbw_link_rel.'"';
					}

					echo ' href="'.$bbw_link_url.'" title="'.$bbw_link_desc.'">';

					echo $bbw_link_name;

					echo '</a></div><div id="menusepizq">
			<img height="27" width="11" alt="" src="'.get_template_directory_uri().'/images/sep.gif"/>
		</div>';
				}
			}
			echo '</div>';
		}


		// Settings form
	function widget_middleMenu_control() {

		// Get options
		$options = get_option('widget_middleMenu');
		// options exist? if not set defaults
		if ( !is_array($options) )
			$options = array(
				'title'=>'Links Middle Menu',
			);

		// form posted?
		if ( $_POST['middleMenu-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['use_cat'] = $_POST['middleMenu-use_cat'];
			$options['use_nofollow'] = isset($_POST['middleMenu-use_nofollow']);
			update_option('widget_middleMenu', $options);
		}

		// Get options for form fields to show
		$bbw_use_cat = htmlspecialchars($options['use_cat'], ENT_QUOTES);
		$bbw_use_nofollow = $options['use_nofollow'] ? 'checked="checked"' : '';
		// The form fields
		echo '<p style="text-align:right;">
				<label for="middleMenu-use_cat">' . __('Show Only Links From These Categories:<br/>(comma separated, blank for all)') . '
				<input style="width: 200px; id="middleMenu-use_cat" name="middleMenu-use_cat" type="text" value="'.$bbw_use_cat.'" />
				</label></p>';
		echo '<p style="text-align:right;">
				<label for="middleMenu-use_nofollow">' . __('Set Links To Nofollow?:') . '
				<input class="checkbox" type="checkbox" '.$bbw_use_nofollow.' id="middleMenu-use_nofollow" name="middleMenu-use_nofollow" />
				</label></p>';

		echo '<input type="hidden" id="middleMenu-submit" name="middleMenu-submit" value="1" />';
	}

	// Register widget for use
	register_sidebar_widget(array('Links Middle', 'widgets'), 'widget_middleMenu');

	// Register settings for use, 300x500 pixel form
	register_widget_control(array('Links Middle', 'widgets'), 'widget_middleMenu_control', 325, 350);
}

// Run code and init
add_action('widgets_init', 'widget_middleMenu_init');

function widget_topMenu_init() {

if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;

		function widget_topMenu($args) {

			// "$args is an array of strings that help widgets to conform to
			// the active theme: before_widget, before_title, after_widget,
			// and after_title are the array keys." - These are set up by the theme
			extract($args);

			// These are our own options
			$options = get_option('widget_topMenu');
			$bbw_use_cat = $options['use_cat']; //a small explanation that the blogroll is rolling
			$bbw_use_nofollow = $options['use_nofollow'] ? '1': '0';//If links are not trusted (paid links), they can be set to nofollow.

			// Output

			global $wpdb;
			$querystr = "
			SELECT DISTINCT
				link_url, name, link_name, link_target, link_image, link_description, link_rel
			FROM
				$wpdb->links
			INNER JOIN (
				$wpdb->term_relationships
				INNER JOIN (
					$wpdb->terms
					INNER JOIN
						$wpdb->term_taxonomy
					ON
						$wpdb->terms.term_id=$wpdb->term_taxonomy.term_id)
				ON
					$wpdb->term_taxonomy.term_taxonomy_id=$wpdb->term_relationships.term_taxonomy_id)
			ON
				$wpdb->links.link_id=$wpdb->term_relationships.object_id
			WHERE
				$wpdb->term_taxonomy.taxonomy='link_category'
			AND
				$wpdb->links.link_visible = 'Y'
			AND
				$wpdb->terms.name = '$bbw_use_cat'
			ORDER BY
				name ASC
			";

			$bbwlinks = $wpdb->get_results($querystr, OBJECT);

			if (!empty($bbwlinks)) {
				foreach ($bbwlinks as $bbwlink) {
					$bbw_link_rel = $bbwlink->link_rel;
					$bbw_link_url = $bbwlink->link_url;
					$bbw_link_desc = $bbwlink->link_description;
					$bbw_link_name = $bbwlink->link_name;

					echo '<img src="'.get_template_directory_uri().'/images/header_flecha.gif" alt="Flecha" height="13" width="12"/><a class="header"';

					if ($bbw_use_nofollow){
						echo ' rel="nofollow"';
					}elseif($bbw_link_rel){
						echo ' rel="'.$bbw_link_rel.'"';
					}

					echo ' href="'.$bbw_link_url.'" title="'.$bbw_link_desc.'">';

					echo $bbw_link_name;

					echo '</a><br />';
				}
				echo '<br />';
			}

		}


		// Settings form
	function widget_topMenu_control() {

		// Get options
		$options = get_option('widget_topMenu');
		// options exist? if not set defaults
		if ( !is_array($options) )
			$options = array(
				'title'=>'Links Top Menu',
			);

		// form posted?
		if ( $_POST['topMenu-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['use_cat'] = $_POST['topMenu-use_cat'];
			$options['use_nofollow'] = isset($_POST['topMenu-use_nofollow']);
			update_option('widget_topMenu', $options);
		}

		// Get options for form fields to show
		$bbw_use_cat = htmlspecialchars($options['use_cat'], ENT_QUOTES);
		$bbw_use_nofollow = $options['use_nofollow'] ? 'checked="checked"' : '';
		// The form fields
		echo '<p style="text-align:right;">
				<label for="topMenu-use_cat">' . __('Show Only Links From These Categories:<br/>(comma separated, blank for all)') . '
				<input style="width: 200px; id="topMenu-use_cat" name="topMenu-use_cat" type="text" value="'.$bbw_use_cat.'" />
				</label></p>';
		echo '<p style="text-align:right;">
				<label for="topMenu-use_nofollow">' . __('Set Links To Nofollow?:') . '
				<input class="checkbox" type="checkbox" '.$bbw_use_nofollow.' id="topMenu-use_nofollow" name="topMenu-use_nofollow" />
				</label></p>';

		echo '<input type="hidden" id="topMenu-submit" name="topMenu-submit" value="1" />';
	}

	// Register widget for use
	register_sidebar_widget(array('Links Top', 'widgets'), 'widget_topMenu');

	// Register settings for use, 300x500 pixel form
	register_widget_control(array('Links Top', 'widgets'), 'widget_topMenu_control', 325, 350);
}

// Run code and init
add_action('widgets_init', 'widget_topMenu_init');

function widget_leftMenu_init() {

if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;

		function widget_leftMenu($args) {

			// "$args is an array of strings that help widgets to conform to
			// the active theme: before_widget, before_title, after_widget,
			// and after_title are the array keys." - These are set up by the theme
			extract($args);

			// These are our own options
			$options = get_option('widget_leftMenu');
			$bbw_use_cat = $options['use_cat']; //a small explanation that the blogroll is rolling
			$bbw_use_nofollow = $options['use_nofollow'] ? '1': '0';//If links are not trusted (paid links), they can be set to nofollow.

			// Output

			global $wpdb;
			$querystr = "
			SELECT DISTINCT
				link_url, name, link_name, link_target, link_image, link_description, link_rel
			FROM
				$wpdb->links
			INNER JOIN (
				$wpdb->term_relationships
				INNER JOIN (
					$wpdb->terms
					INNER JOIN
						$wpdb->term_taxonomy
					ON
						$wpdb->terms.term_id=$wpdb->term_taxonomy.term_id)
				ON
					$wpdb->term_taxonomy.term_taxonomy_id=$wpdb->term_relationships.term_taxonomy_id)
			ON
				$wpdb->links.link_id=$wpdb->term_relationships.object_id
			WHERE
				$wpdb->term_taxonomy.taxonomy='link_category'
			AND
				$wpdb->links.link_visible = 'Y'
			AND
				$wpdb->terms.name = '$bbw_use_cat'
			ORDER BY
				name ASC
			";

			$bbwlinks = $wpdb->get_results($querystr, OBJECT);

			echo $before_widget . $before_title . "Our Blog in Spanish" . $after_title;

			echo '<ul>';
			if (!empty($bbwlinks)) {
				foreach ($bbwlinks as $bbwlink) {
					$bbw_link_rel = $bbwlink->link_rel;
					$bbw_link_url = $bbwlink->link_url;
					$bbw_link_desc = $bbwlink->link_description;
					$bbw_link_name = $bbwlink->link_name;

					echo '<li><a';

					if ($bbw_use_nofollow){
						echo ' rel="nofollow"';
					}elseif($bbw_link_rel){
						echo ' rel="'.$bbw_link_rel.'"';
					}

					echo ' href="'.$bbw_link_url.'" title="'.$bbw_link_desc.'">';

					echo $bbw_link_name;

					echo '</a></li>';
				}
			}
			echo '</ul>';
			echo $after_widget;
		}


		// Settings form
	function widget_leftMenu_control() {

		// Get options
		$options = get_option('widget_leftMenu');
		// options exist? if not set defaults
		if ( !is_array($options) )
			$options = array(
				'title'=>'Links Left Menu',
			);

		// form posted?
		if ( $_POST['leftMenu-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['use_cat'] = $_POST['leftMenu-use_cat'];
			$options['use_nofollow'] = isset($_POST['leftMenu-use_nofollow']);
			update_option('widget_leftMenu', $options);
		}

		// Get options for form fields to show
		$bbw_use_cat = htmlspecialchars($options['use_cat'], ENT_QUOTES);
		$bbw_use_nofollow = $options['use_nofollow'] ? 'checked="checked"' : '';
		// The form fields
		echo '<p style="text-align:right;">
				<label for="leftMenu-use_cat">' . __('Show Only Links From These Categories:<br/>(comma separated, blank for all)') . '
				<input style="width: 200px; id="leftMenu-use_cat" name="leftMenu-use_cat" type="text" value="'.$bbw_use_cat.'" />
				</label></p>';
		echo '<p style="text-align:right;">
				<label for="leftMenu-use_nofollow">' . __('Set Links To Nofollow?:') . '
				<input class="checkbox" type="checkbox" '.$bbw_use_nofollow.' id="leftMenu-use_nofollow" name="leftMenu-use_nofollow" />
				</label></p>';

		echo '<input type="hidden" id="leftMenu-submit" name="leftMenu-submit" value="1" />';
	}

	// Register widget for use
	register_sidebar_widget(array('Links Left', 'widgets'), 'widget_leftMenu');

	// Register settings for use, 300x500 pixel form
	register_widget_control(array('Links Left', 'widgets'), 'widget_leftMenu_control', 325, 350);
}

// Run code and init
add_action('widgets_init', 'widget_leftMenu_init');

function widget_logoTop_init() {

if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;

		function widget_logoTop($args) {

			// "$args is an array of strings that help widgets to conform to
			// the active theme: before_widget, before_title, after_widget,
			// and after_title are the array keys." - These are set up by the theme
			extract($args);

			// These are our own options
			$options = get_option('widget_logoTop');
			$bbw_img_url = $options['img_url']; //a small explanation that the blogroll is rolling
			$bbw_img_alt = $options['img_alt']; //a small explanation that the blogroll is rolling

			// Output

			global $wpdb;

			$blog_url = get_bloginfo('siteurl');
			$blog_desc = get_bloginfo('description ');

			echo '<div id="logo">';
			echo '<a href="'.$blog_url.'" title="'.$blog_desc.'" rel="nofollow"><img src="'.get_template_directory_uri().'/images/'.$bbw_img_url.'" alt="'.$bbw_img_alt.'" border="0" height="94" width="295" /></a>';
			echo '</div>';
		}


		// Settings form
	function widget_logoTop_control() {

		// Get options
		$options = get_option('widget_logoTop');
		// options exist? if not set defaults
		if ( !is_array($options) )
			$options = array(
				'title'=>'Logo in Header',
				'img_url'=>'spanishtranslationus.gif',
				'img_alt'=>'Spanish Translation US',
			);

		// form posted?
		if ( $_POST['logoTop-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['img_url'] = $_POST['logoTop-img_url'];
			$options['img_alt'] = $_POST['logoTop-img_alt'];
			update_option('widget_logoTop', $options);
		}

		// Get options for form fields to show
		$bbw_img_url = htmlspecialchars($options['img_url'], ENT_QUOTES);
		$bbw_img_alt = htmlspecialchars($options['img_alt'], ENT_QUOTES);
		// The form fields
		echo '<p style="text-align:right;">
				<label for="logoTop-img_url">' . __('Image URL (Must be in theme/images/ folder!!)') . '<br />
				<input style="width: 200px; id="logoTop-img_url" name="logoTop-img_url" type="text" value="'.$bbw_img_url.'" />
				</label></p>';
		echo '<p style="text-align:right;">
				<label for="logoTop-img_alt">' . __('Image ALT') . '<br />
				<input style="width: 200px; id="logoTop-img_alt" name="logoTop-img_alt" type="text" value="'.$bbw_img_alt.'" />
				</label></p>';

		echo '<input type="hidden" id="logoTop-submit" name="logoTop-submit" value="1" />';
	}

	// Register widget for use
	register_sidebar_widget(array('Logo', 'widgets'), 'widget_logoTop');

	// Register settings for use, 300x500 pixel form
	register_widget_control(array('Logo', 'widgets'), 'widget_logoTop_control', 325, 350);
}

// Run code and init
add_action('widgets_init', 'widget_logoTop_init');

function widget_logoTopRight_init() {

if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;

		function widget_logoTopRight($args) {

			// "$args is an array of strings that help widgets to conform to
			// the active theme: before_widget, before_title, after_widget,
			// and after_title are the array keys." - These are set up by the theme
			extract($args);

			// These are our own options
			$options = get_option('widget_logoTopRight');
			$bbw_img_url = $options['img_url']; //a small explanation that the blogroll is rolling
			$bbw_img_alt = $options['img_alt']; //a small explanation that the blogroll is rolling

			// Output

			global $wpdb;

			$blog_url = get_bloginfo('siteurl');
			$blog_desc = get_bloginfo('description ');

			echo '<img src="'.get_template_directory_uri().'/images/'.$bbw_img_url.'" alt="'.$bbw_img_alt.'" border="0" />';
		}


		// Settings form
	function widget_logoTopRight_control() {

		// Get options
		$options = get_option('widget_logoTopRight');
		// options exist? if not set defaults
		if ( !is_array($options) )
			$options = array(
				'title'=>'Logo in Header',
				'img_url'=>'contactinfo-strong.gif',
				'img_alt'=>'toll free: 1-888-202-2488 e-mail: help@spanishtranslation.us',
			);

		// form posted?
		if ( $_POST['logoTopRight-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['img_url'] = $_POST['logoTopRight-img_url'];
			$options['img_alt'] = $_POST['logoTopRight-img_alt'];
			update_option('widget_logoTopRight', $options);
		}

		// Get options for form fields to show
		$bbw_img_url = htmlspecialchars($options['img_url'], ENT_QUOTES);
		$bbw_img_alt = htmlspecialchars($options['img_alt'], ENT_QUOTES);
		// The form fields
		echo '<p style="text-align:right;">
				<label for="logoTopRight-img_url">' . __('Image URL (Must be in theme/images/ folder!!)') . '<br />
				<input style="width: 200px; id="logoTopRight-img_url" name="logoTopRight-img_url" type="text" value="'.$bbw_img_url.'" />
				</label></p>';
		echo '<p style="text-align:right;">
				<label for="logoTopRight-img_alt">' . __('Image ALT') . '<br />
				<input style="width: 200px; id="logoTopRight-img_alt" name="logoTopRight-img_alt" type="text" value="'.$bbw_img_alt.'" />
				</label></p>';

		echo '<input type="hidden" id="logoTopRight-submit" name="logoTopRight-submit" value="1" />';
	}

	// Register widget for use
	register_sidebar_widget(array('Logo Right', 'widgets'), 'widget_logoTopRight');

	// Register settings for use, 300x500 pixel form
	register_widget_control(array('Logo Right', 'widgets'), 'widget_logoTopRight_control', 325, 350);
}

// Run code and init
add_action('widgets_init', 'widget_logoTopRight_init');

?>
